include:
  - common_policies.yml

projects_configuration:

  ##################################################################################################
  # For the current 'config' project, apply the default policy BUT do not overwrite the variables
  ##################################################################################################
  - paths:
      - grouperenault/gpc_demo/gpc-demo-config
    rule_name: default_policy
    custom_rules:
      variables: null  # Do not overwrite the variables in the config project @@!
      permissions:
        # This project is an example, so we keep it "public".
        # But your really wante to make your config project "private" !!!
        visibility: public
        # visibility: private

  ##################################################################################################
  ## GPC_test projects: use default policy
  ##################################################################################################
  - paths:
      - grouperenault/gpc_demo/
    excludes:
      - ^.*exclude$
    recursive: true
    rule_name: default_policy
    not_seen_yet_only: true   # note the project grouperenault/gpc_demo/gpc-demo-config will be
                              # excluded from this conf since there it has been "seen" before.
